<?php

namespace App\Http\Controllers;

use App\Categoria;
use App\Cliente;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

class AdminClienteController extends Controller
{

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        $categorias = Categoria::orderBy('nombre')->pluck('nombre','id');


        $listarClientes = DB::table("cliente")->get();

        $listarClientes = DB::Select("Select s.*, c.id as cid, c.nombre as cn from cliente s inner join categoria c on (c.id=s.categoria) order by s.categoria");

        return view('navClientes.clientesAdmin', ['categorias' => $categorias,'listarClientes' => $listarClientes,]);

    }
    public function listarClientes()
    {
        $listarClientes = DB::table("cliente")->get();
        $listarClientes = DB::Select("Select s.*, c.id as cid, c.nombre as cn from cliente s inner join categoria c on (c.id=s.categoria) order by s.categoria");

        return view('navClientes.clientesAdmin', ['listarClientes' => $listarClientes]);

    }
    public function edit($id)
    {
        $cliente = DB::table("cliente")->where('id', $id)->first();
        $categorias = Categoria::orderBy('nombre')->pluck('nombre', 'id');
        return view("navClientes.editClientes", ["clientes" => $cliente, 'categorias' => $categorias,]);
    }

    public function eliminar($id)
    {
        DB::table("cliente")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("clientesAdmin");
    }

    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'nombre_cliente' => 'required',
                'file' => 'required',
                'link' => 'required|url',
            ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $service = Cliente::find($id);
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $service->imagen = $img;
            }
            $service->nombre_cliente = $request->nombre_cliente;
            $service->categoria = $request->categoria;
            $service->link = $request->link;
            $service->save();
            Session::flash("message", "Cliente actualizado exitosamente");
            return Redirect::to("clientesAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, Archivo imagen admitido 70 PX  ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }
}
