<?php

namespace App\Http\Controllers;

use App\Caja;
use DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;

class CajaController extends Controller
{
    //
    public function index()
    {
        $caja = DB::Select("Select * from caja order by rand()");
        \Log::info("tamaño de sist " . count($caja));
        $menu = DB::Select("Select * from menu ");
        return view('nav.cajaahorro', ['caja' => $caja,'menu' => $menu]);
    }

    public function listarCajas()
    {
        $cajaList = DB::table("caja")->get();
        $cajaList = DB::Select("Select * from caja");
        return view('administracion.cajaahorroAdmin', ['caja' => $cajaList,]);

    }
    public function eliminarCajas($id)
    {
        DB::table("caja")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("cajaahorroAdmin");
    }
    public function edit($id)
    {
        $caja = DB::table("caja")->where('id', $id)->first();
        return view("administracion.editCaja", ["caja" => $caja]);
    }
    public function save(Request $request)
    {


        $rules = [
            'titulo' => 'required',
            'empresa' => 'required',
            'link' => 'required|url',
        ];
        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }


            //$img = Image::make($file);
            //Response::make($img->encode('jpeg'));

            $caja = new Caja;
            $caja->titulo = $request->titulo;
            $caja->empresa = $request->empresa;
            $caja->link = $request->link;

            $caja->save();

            Session::flash("message", "Archivo  almacenado  exitosamente");
            return Redirect::to("cajaahorroAdmin");

        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, seleccione le archivo inmagen. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }
    }   //



    public function update(Request $request, $id)
    {

        $rules = [
            'titulo' => 'required',
            'empresa' => 'required',
            'link' => 'required|url',
        ];
        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }




            $sistemas = Caja::find($id);
            $sistemas->titulo = $request->titulo;
            $sistemas->empresa = $request->empresa;
            $sistemas->link = $request->link;
            $sistemas->save();
            Session::flash("message", "Usuario actualizado exitosamente");
            return Redirect::to("cajaahorroAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Datos de usuario';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }


    }
}
