<?php

namespace App\Http\Controllers;

use App\SistemaBody;
use Illuminate\Http\Request;
use App\CategoriaSistema;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Input;

class CategoriaSistemasAdminController extends Controller
{
    public function index()
    {
        return view('administracion/sistemas/categoriaSistemasAdmin');
    }

    public function save(Request $request)
    {

        $rules = [
            'nombre' => 'required',
            'codigo' => 'required|unique:programa',
            'contenido' => 'required',
            'file' => 'required',

        ];
        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $img = file_get_contents($file);

            //$img = Image::make($file);
            //Response::make($img->encode('jpeg'));

            $sistema = new CategoriaSistema();

            $sistema->logo = $img;
            $sistema->orden = 15;
            $sistema->codigo = $request->codigo;
            $sistema->descripcion = $request->contenido;
            $sistema->nombre = $request->nombre;
            $sistema->save();

            Session::flash("message", "Los datos fueron Guardados exitosamente.");
            return Redirect::to("categoriaSistemasAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, seleccione le archivo inmagen. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }

    public function listarCategoria()
    {

        $categoria = DB::table("programa")->get();
        $categoria = DB::Select("Select * from programa");
        return view('administracion/sistemas/categoriaSistemasAdmin', ['categoria' => $categoria,]);

    }

    public function eliminarCategoria($id)
    {
        DB::table("programa")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("categoriaSistemasAdmin");
    }

    public function edit($id)
    {
        $categoria = DB::table("programa")->where('id', $id)->first();
        return view("administracion.sistemas.editCategoriaSistemas", ["categoria" => $categoria]);
    }
    public function editOrden($id)
    {
        $categoria = DB::table("programa")->where('id', $id)->first();
        return view("administracion.sistemas.editCategoriaSistemas", ["categoria" => $categoria]);
    }

    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'nombre' => 'required',
                'codigo' => 'required|unique:programa,codigo,'.$id,
                'contenido' => 'required',
                'file' => 'required',


            ];
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $file = Input::file('file');
            $sistemas = CategoriaSistema::find($id);
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $sistemas->logo = $img;
            }

            $sistemas->nombre = $request->nombre;
            $sistemas->descripcion = $request->contenido;
            $sistemas->save();
            Session::flash("message", "Categoria actualizado exitosamente");
            return Redirect::to("categoriaSistemasAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Datos de usuario,Archivo imagen admitido 70 PX ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }
    }
}
