<?php

namespace App\Http\Controllers;

use App\Chat;
use App\User;
use Illuminate\Http\Request;

use DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;

use Illuminate\Support\Facades\Storage;



class ChatController extends Controller
{
    public function index()
    {
        $menu = DB::Select("Select * from menu ");
        $usuario = User::orderBy('apellido')->where('tipo', 'academico')->pluck('alias', 'id');
       // $listarBuzon = DB::Select("Select * from chat where buzon=? ",'1');
        //$listarBuzon = DB::Select("Select * from chat where buzon='salida' order by updated_at DESC");
        //$listarBuzon = DB::Select("Select s.*, c.id as cid, c.nombre as cn from chat s  inner join users c on (c.id=s.categoria) order by s.updated_at DESC");
        $listarBuzon = DB::Select("Select s.*, c.id as cid, c.nombre as cn, c.apellido as ca from chat s  inner join users c on (c.id=s.categoria) where s.buzon='salida' order by s.created_at DESC");

        return view('administracion/principalAdmin', ['menu' => $menu,'usuario' => $usuario,'listarBuzon' => $listarBuzon]);
    }
    public function store(Request $request)
    {

        $rules = [
            'asunto' => 'required',
            'mensaje' => 'required',
            'file' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        $file = Input::file('file');
        $chat = new Chat;
        if (!is_null($file)) {
            $nombre_archivo=time()."_".$file->getClientOriginalName();
            Storage::disk('instalador')->put($nombre_archivo, \File::get($file));
            $chat->file = $nombre_archivo;

        }

       // $programa = CategoriaSistema::find($request->categoria);
        $chat->asunto = $request->asunto;
        $chat->mensaje = $request->mensaje;
        $chat->color = '#FDD5D5';
        $chat->buzon = 'salidaAdmin';
        $chat->estado = '1';
        $chat->categoria = $request->categoria;
        $chat->save();




        $usuario = DB::table("users")->where('id', $request-> categoria)->first();
        $correo_config=env('MAIL_USERNAME', 'Correo');
        $apellidoNombre=$usuario->apellido." ".$usuario->nombre;
        $mensajeSoporte=$request->asunto." - ".$request->mensaje;
        $correo = \DB::Select("Select * from correo ");

        $datos_cuerpo_correo=['cliente_nombre'=>$cliente_email=$apellidoNombre,'mensaje'=>$cliente_email=$mensajeSoporte,
            'cliente_email'=>$cliente_email=$correo[0]->correo,'correo_config'=>$correo_config];
        //$evento=DB::table('evento')->where('nombre_evento','Incidencia Reportada')->first();
        $emailDestino=$usuario->email;
        try {
            \Mail::send('correo.estructuraSoporte', $datos_cuerpo_correo, function($message) use ($datos_cuerpo_correo,$emailDestino)

            {

                $message->from($datos_cuerpo_correo['correo_config'],'Soporte En Línea');

                $message->subject("Soporte En Línea - TOVACOMPU SISTEMAS");

                $message->to($emailDestino);
                // Session::flash("message", "Se envio correctamente el Correo");
                // return Redirect::to("contactos");
                // return view('nav/contactos');
                //return Redirect::to("contactenos");
            });
        }catch (\Exception $e) {
            if(count(\Mail::failures()) > 0){
                $errors = 'Failed to send password reset email, please try again.';
            }

        }
        Session::flash("message", "Mensaje enviado exitosamente");
        return Redirect::to("principalAdministracion");
    }
    public function save(Request $request)
    {

        $rules = [
            'asunto' => 'required',
            'mensaje' => 'required',
            'file' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        $file = Input::file('file');
        $chat = new Chat;
        if (!is_null($file)) {
            $nombre_archivo=time()."_".$file->getClientOriginalName();
            Storage::disk('instalador')->put($nombre_archivo, \File::get($file));
            $chat->file = $nombre_archivo;

        }

        // $programa = CategoriaSistema::find($request->categoria);
        $chat->asunto = $request->asunto;
        $chat->mensaje = $request->mensaje;
        $chat->color = '#FDD5D5';
        $chat->buzon = 'salidaAdmin';
        $chat->estado = '1';
        $chat->categoria = $request->categoria;
        $chat->save();




        $usuario = DB::table("users")->where('id', $request-> categoria)->first();
        $correo_config=env('MAIL_USERNAME', 'Correo');
        $apellidoNombre=$usuario->apellido." ".$usuario->nombre;
        $mensajeSoporte=$request->asunto." - ".$request->mensaje;
        $correo = \DB::Select("Select * from correo ");

        $datos_cuerpo_correo=['cliente_nombre'=>$cliente_email=$apellidoNombre,'mensaje'=>$cliente_email=$mensajeSoporte,
            'cliente_email'=>$cliente_email=$correo[0]->correo,'correo_config'=>$correo_config];
        //$evento=DB::table('evento')->where('nombre_evento','Incidencia Reportada')->first();
        $emailDestino=$usuario->email;
        try {
            \Mail::send('correo.estructuraSoporte', $datos_cuerpo_correo, function($message) use ($datos_cuerpo_correo,$emailDestino)

            {

                $message->from($datos_cuerpo_correo['correo_config'],'Soporte En Línea');

                $message->subject("Soporte En Línea - TOVACOMPU SISTEMAS");

                $message->to($emailDestino);
                // Session::flash("message", "Se envio correctamente el Correo");
                // return Redirect::to("contactos");
                // return view('nav/contactos');
                //return Redirect::to("contactenos");
            });
        }catch (\Exception $e) {
            if(count(\Mail::failures()) > 0){
                $errors = 'Failed to send password reset email, please try again.';
            }

        }
        Session::flash("message", "Mensaje enviado exitosamente");
        return Redirect::to("principalAdministracion");
    }
    public function eliminar($id)
    {
        DB::table("chat")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó el mensaje exitosamente");
        return Redirect::to("principalAdministracion");
    }
    public function eliminarChatSalida($id)
    {
        DB::table("chat")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó el mensaje exitosamente");
        return Redirect::to("buzonSalidaAdmin");
    }

    public function edit($id,$id_usuario)
    {
        $mensaje = DB::table("chat")->where('id', $id)->first();
        $chat = Chat::find($id);
        $chat->color = '#inherit';
        $chat->save();
        //$nombre_usuario = DB::table("users")->where('id', $id_usuario)->first();

        //$nombre_usuario = DB::Select("Select * from users where id=? ",$id_usuario);
        //$mensaje = DB::Select("Select s.*, c.id as cid, c.nombre as cn, c.apellido as ca from chat s  inner join users c on (c.id=s.categoria) where s.id=$id order by s.updated_at DESC");
        return view("administracion.academico.responderChatAdmin", ["mensaje" => $mensaje,"id" =>$id_usuario]);
    }
    public function update(Request $request)
    {

        $rules = [
            'contenido' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        //$sistemas = Chat::find($id);
        $chat = new Chat;


        $chat->asunto = $request->asunto;
        $chat->mensaje = $request->contenido;
        $chat->color = '#FDD5D5';
        $chat->buzon = 'salidaAdmin';
        $chat->estado = '1';
        $chat->categoria = $request->id_usuario;
        $chat->save();




        $usuario = DB::table("users")->where('id', $request-> id_usuario)->first();
        $correo_config=env('MAIL_USERNAME', 'Correo');
        $apellidoNombre=$usuario->apellido." ".$usuario->nombre;
        $mensajeSoporte=$request->asunto." - ".$request->contenido;
        $correo = \DB::Select("Select * from correo ");

        $datos_cuerpo_correo=['cliente_nombre'=>$cliente_email=$apellidoNombre,'mensaje'=>$cliente_email=$mensajeSoporte,
            'cliente_email'=>$cliente_email=$correo[0]->correo,'correo_config'=>$correo_config];
        //$evento=DB::table('evento')->where('nombre_evento','Incidencia Reportada')->first();
        $emailDestino=$usuario->email;
        try {
            \Mail::send('correo.estructuraSoporte', $datos_cuerpo_correo, function($message) use ($datos_cuerpo_correo,$emailDestino)

            {

                $message->from($datos_cuerpo_correo['correo_config'],'Soporte En Línea');

                $message->subject("Soporte En Línea - TOVACOMPU SISTEMAS");

                $message->to($emailDestino);
                // Session::flash("message", "Se envio correctamente el Correo");
                // return Redirect::to("contactos");
                // return view('nav/contactos');
                //return Redirect::to("contactenos");
            });
        }catch (\Exception $e) {
            if(count(\Mail::failures()) > 0){
                $errors = 'Failed to send password reset email, please try again.';
            }

        }
        Session::flash("message", "Correo actualizado exitosamente");
        return Redirect::to("principalAdministracion");


    }
}
