<?php

namespace App\Http\Controllers;

use App\SistemaBody;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

class EditEncabezadoSistemasController extends Controller
{
    public function index()
    {

        $sistemas = SistemaBody::orderBy('nombre')->pluck('nombre', 'id');
        return view('navClientes.editClientes', ['sistemas' => $sistemas]);
    }
    public function edit($id)
    {
        $sistemas = DB::table("sistemasBody")->where('id', $id)->first();
        return view("administracion.sistemas.editEncabezadoSistemas", ["sistemas" => $sistemas]);
    }
    public function update(Request $request, $id)
    {
        {

            $rules = [
                'titulo_servicio_inicio' => 'required',
                'contenido' => 'required',
            ];

                $validator = \Validator::make($request->all(), $rules);
                if ($validator->fails()) {
                    return redirect()->back()->withInput()->withErrors($validator);
                }
                $sistemas = SistemaBody::find($id);
                $sistemas->titulo_servicio_inicio = $request->titulo_servicio_inicio;
                $sistemas->contenido_servicio_inicio = $request->contenido;
                $sistemas->save();
                Session::flash("message", "Se ha actualizado correctamente la información");
                return Redirect::to("encabezadoSistemaGeneralAdmin");


        }

    }
}
