<?php

namespace App\Http\Controllers;
use App\Visitas;
use Illuminate\Http\Request;
use App\Home;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

class HomeController extends Controller
{
    public function index()
    {
        $sist = DB::Select("Select * from home ");
        $menu = DB::Select("Select * from menu ");
        \Log::info("tamaño de sist " . count($sist));
        $variable = Visitas::find(1);
         if(\Cache::has(1)==false){
            \Cache::add(1,'contador',0.30);
            $variable->visitas++;
            $variable->save();
        }
        $vs = DB::Select("Select * from visitas ");
        return view('nav.inicio', ['sist' => $sist, 'menu' => $menu, 'variable' => $vs ]);
    }

    public function listarSistemas()
    {
        $sistList = DB::table("home")->get();
        $sistList = DB::Select("Select * from home");
        return view('administracion.inicioAdmin', ['sist' => $sistList,]);

    }


    public function eliminarSistemas($id)
    {
        DB::table("home")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("inicioAdmin");
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $variable = Visitas::find(1);
        if(\Cache::has($id)==false){
            \Cache::add($id,'contador',0.30);
            $variable->visitas++;
            $variable->save();
        }
        return view('nav.inicio')->with('variable',$variable);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $sistemas = DB::table("home")->where('id', $id)->first();
        return view("administracion.editHome", ["sistemas" => $sistemas]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $rules = [
            'nombre_home' => 'required',
            'link' => 'required|url',
        ];
        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }


            $file = Input::file('file');

            $sistemas = Home::find($id);
            $sistemas->nombre_home = $request->nombre_home;
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $sistemas->imagen = $img;
            }
            $sistemas->link = $request->link;
            $sistemas->save();
            Session::flash("message", "Usuario actualizado exitosamente");
            return Redirect::to("inicioAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error, resolucion permitida 70 Pixeles tamaño (8X8) cm';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }


    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
