<?php

namespace App\Http\Controllers;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\User;
use DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Validator;

use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\Storage;
use Intervention\Image\Facades\Image;

use Illuminate\Support\Facades\Cache;
use Maatwebsite\Excel\Facades\Excel;


class ImportarUsuarioAcademicoAdminController extends Controller
{
    public function index()
    {

        return view('navConfig/importarUsuarioAcademicoAdmin');
    }

    /**
     * @param Request $request
     * @return mixed
     */
    public function store(Request $request)
    {
        $rules = array(
            'import_file' => 'required'
        );
        $validator = Validator::make(Input::all(), $rules);
        if ($validator->fails()) {

            $mensaje_error = 'No se ha seleccionado ningún archivo para importar';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }
        $rules2 = array(
            //'import_file' => 'mimes:xls,xlsx'
            'import_file' => 'mimes:xlsx'
        );
         $validator2 = Validator::make(Input::all(), $rules2);
        if ($validator2->fails()) {
            $mensaje_error = 'Se debe subir el archivo en el formato solicitado';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }
        \Log::info("antes de entrar al imput");

        if (Input::hasFile('import_file')) {

            try {
                $path = Input::file('import_file')->getRealPath();
                $data = Excel::load($path, function ($reader) {
                })->get();

            \Log::info("antes de aplicar reglas de archivo");
                if (!empty($data) && $data->count()) {

                    $reglas_archivo = [
                        'cedula' => 'required|min:8|max:10',
                        'nombre' => 'required',
                        'apellido' => 'required',
                        'universidad' => 'required',
                        'email' => 'required',
                    ];
                    $niceNames = array(
                        'cedula' => 'Cedula',
                        'nombre' => 'Nombre',
                        'apellido' => 'Apellido',
                        'universidad' => 'Universidad',
                        'email' => 'Email',
                    );
                    $cont = 1;
                    $error = 0;
                    $val = array();
                    \Log::info("archivo si tiene filas, antes de entrar a recorrer y verificar campos");
                    foreach ($data->toArray() as $key) {
                        $cont++;

                        if (trim($key['cedula']) != '') {
                            \Log::info("fecha de emision ".$key['cedula']);
                            $valid = Validator::make($key, $reglas_archivo);
                            $valid->setAttributeNames($niceNames);
                            if ($valid->fails()) {
                                $error = 1;
                                $val = $valid;
                                break;
                            }
                        }
                    }
                    \Log::info("posterior a recorrer archivo y comprobar");
                    if ($error == 1) {
                        \Session::flash('message-error', 'Error en la fila ' . $cont);
                        return Redirect::to('importarUsuarioAcademicoAdmin')->withErrors($val);
                    } else {
                        if (!empty($data) && $data->count()) {
                            //User::truncate();
                            foreach ($data->toArray() as $keyd) {
                                if (trim($keyd['cedula']) != '') {
                                    $usuario_cedula = DB::table('users')->select('id')->where('cedula', $keyd['cedula'])->first();
                                    //if (!is_null($usuario_cedula)) {
                                        $usuario = new User();
                                        $usuario->cedula = $keyd['cedula'];
                                        $usuario->name = $keyd['cedula'];
                                        $usuario->tipo = "academico";
                                        $usuario->activo = "1";
                                        $a1=$keyd['apellido'];
                                        $a2=$keyd['nombre'];
                                        $a3=$a1."".$a2;
                                        $usuario->alias = $a3;
                                        $usuario->password = $keyd['cedula'];
                                        $usuario->nombre = $keyd['nombre'];
                                        $usuario->apellido = $keyd['apellido'];
                                        $usuario->email = $keyd['email'];
                                        $usuario->universidad = $keyd['universidad'];
                                        $usuario->save();
                                   // }
                                }
                            }
                            return redirect('usuarioAcademicoAdmin')->with('message', 'Archivo importado exitosamente');
                        }
                        \Log::info("sdjfhsdhfkjsdfhdjfskdhfjsk");
                    }
                }
            } catch (\Exception $e) {
                $mensaje_error = 'Revise si el archivo consta de todos los campos especificados en la plantilla';
                return Redirect::to('usuarioAcademicoAdmin')->withErrors($mensaje_error);
            }
        }
        //return back();
    }
}
