<?php

namespace App\Http\Controllers;

use App\Modulo;
use Illuminate\Http\Request;
use App\Sistema;
use App\CategoriaSistema;
use DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

use Illuminate\Support\Facades\Cache;

class ModuloController extends Controller
{
    public function index()
    {
        $categorias = CategoriaSistema::orderBy('nombre')->pluck('nombre', 'id');

        $sistemas = DB::Select("Select s.*, c.id as cid, c.nombre as cn from moduloSistemas s inner join programa c on (c.id=s.categoria) order by s.categoria");


        return view('administracion.sistemas.modulo.moduloAdmin', ['categorias' => $categorias,'sistemas' => $sistemas]);


    }

    public function save(Request $request)
    {

        //obtenemos el campo file definido en el formulario
        //$file = $request->file('file');

        //obtenemos el nombre del archivo
        //$nombre = $file->getClientOriginalName();

        //indicamos que queremos guardar un nuevo archivo en el disco local
        //\Storage::disk('local')->put($nombre,  \File::get($file));

        //$imagen=file_get_contents()
        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'categoria' => 'required',
            'file' => 'required',
        ];
        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $img = file_get_contents($file);

            $sistema = new Modulo();
            $sistema->titulo_modulo = $request->titulo;
            $sistema->contenido_modulo = $request->contenido;
            $sistema->imagen_modulo = $img;
            $sistema->categoria = $request->categoria;
            $sistema->save();

            Session::flash("message", "Los datos fueron Guardados exitosamente.");
            return Redirect::to("moduloAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Datos, Archivo imagen adminitido 70 PX';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }


    }   //

    public function eliminarModuloSistemas($id)
    {
        DB::table("moduloSistemas")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("moduloAdmin");
    }
    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'titulo_modulo' => 'required',
                'contenido' => 'required',
                'file' => 'required',
            ];
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $file = Input::file('file');
            $sistemas = Modulo::find($id);
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $sistemas->imagen_modulo = $img;
            }
            $sistemas->titulo_modulo= $request->titulo_modulo;
            $sistemas->contenido_modulo = $request->contenido;
            $sistemas->save();
            Session::flash("message", "Categoria actualizado exitosamente");
            return Redirect::to("moduloAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, Archivo image admitido 70PX. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }
    public function edit($id)
    {
        $sistemas = DB::table("moduloSistemas")->where('id', $id)->first();
        return view("administracion.sistemas.modulo.editModulo", ["sistemas" => $sistemas]);
    }
}
