<?php

namespace App\Http\Controllers;


use App\CategoriaSistema;
use App\Sistema;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

class SistemasController extends Controller
{
    public function index()
    {
        $menu = DB::Select("Select * from menu ");
        $categorias = CategoriaSistema::orderBy('orden')->select('id','nombre')->get();
        $sistemas = DB::Select("Select * from sistemas order by rand()");
        return view('nav.sistemas', ['categorias' => $categorias, 'menu'=>$menu,'sistemas'=>$sistemas]);

    }
    public function show($id)
    {
        $menu = DB::Select("Select * from menu ");
        $categorias = CategoriaSistema::orderBy('orden')->select('id','nombre')->get();
        $sistemas = DB::Select("Select * from sistemas where categoria=? ",[$id]);
        $modulosistemas = DB::Select("Select * from moduloSistemas where categoria=? ",[$id]);


        $sist = DB::Select("Select * from programa where id=".$id);

        return view('nav.sistemas', ['categorias' => $categorias, 'menu'=>$menu,'sistemas'=>$sistemas,'modulosistemas'=>$modulosistemas,'sist'=>$sist]);
    }
    public function save(Request $request)
    {

        //obtenemos el campo file definido en el formulario
        //$file = $request->file('file');

        //obtenemos el nombre del archivo
        //$nombre = $file->getClientOriginalName();

        //indicamos que queremos guardar un nuevo archivo en el disco local
        //\Storage::disk('local')->put($nombre,  \File::get($file));

        //$imagen=file_get_contents()
        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'categoria' => 'required',
        ];
        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $img = file_get_contents($file);

            $sistema = new Sistema();
            $sistema->nombre_caracteristica = $request->titulo;
            $sistema->contenido_caracteristica = $request->contenido;
            $sistema->imagen_caracteristica = $img;
            $sistema->categoria = $request->categoria;
            $sistema->save();

            Session::flash("message", "Los datos fueron Guardados exitosamente.");
            return Redirect::to("sistemasAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Datos de usuario';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }


    }   //
}
