<?php

namespace App\Http\Controllers;

use App\Utilitario;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

class StorageUtilitarioBodyController extends Controller
{
    public function index()
    {
        return \View::make('new');
    }    //

    public function save(Request $request)
    {

        //obtenemos el campo file definido en el formulario
        //$file = $request->file('file');

        //obtenemos el nombre del archivo
        //$nombre = $file->getClientOriginalName();

        //indicamos que queremos guardar un nuevo archivo en el disco local
        //\Storage::disk('local')->put($nombre,  \File::get($file));

        //$imagen=file_get_contents()
        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'link' => 'required|url',
        ];
        try {
        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        $file = Input::file('file');
        $img = file_get_contents($file);

        $sistema = new Utilitario();
        $sistema->titulo = $request->titulo;
        $sistema->contenido = $request->contenido;
        $sistema->imagen = $img;
        $sistema->link = $request->link;
        $sistema->save();

        Session::flash("message", "Los datos fueron Guardados exitosamente.");
        return Redirect::to("utilitarioAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Datos de usuario';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }


    }   //
}
