<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\CategoriaSistema;
use App\Video;
use DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

use Illuminate\Support\Facades\Cache;
class VideoSistemasAdminController extends Controller
{
    public function index()
    {

        $categorias = CategoriaSistema::orderBy('orden')->pluck('nombre', 'id');
        $video = DB::table("video")->get();
        $video = DB::Select("Select s.*, c.id as cid, c.nombre as cn from video s inner join programa c on (c.id=s.categoria) order by s.categoria");
        return view('administracion/sistemas/video/videoSistemasAdmin',['categorias' => $categorias,'video' => $video]);
    }
    public function save(Request $request)
    {

        $rules = [
            'nombre' => 'required',
            'contenido' => 'required',
            'link' => 'required|url',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        $video = new Video;
        $file = Input::file('file');
        if (!is_null($file)) {
            $archivo=$request->nombre;
            \Storage::disk('archivos_inc')->put($archivo, file::get($file));
        }
        $video->titulo_video= $request->nombre;
        $video->contenido_video = $request->contenido;
        $video->link = $request->link;
        $video->categoria = $request->categoria;
        $video->save();
        Session::flash("message", "Video  almacenado  exitosamente");
        return Redirect::to("videoSistemasAdmin");
    }
    public function edit($id)
    {
        $video = DB::table("video")->where('id', $id)->first();
        $programa = CategoriaSistema::orderBy('nombre')->pluck('nombre', 'id');
        return view("administracion.sistemas.video.editVideoSistemasAdmin", ["video" => $video, 'programa' => $programa,]);
    }

    public function eliminar($id)
    {
        DB::table("video")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("videoSistemasAdmin");
    }

    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'titulo_video' => 'required',
                'link' => 'required|url',
                'contenido' => 'required',

            ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $file = Input::file('file');
            $video = Video::find($id);
            if (!is_null($file)) {
                $archivo=$request->titulo_video;
                \Storage::disk('archivos_inc')->put($archivo, file::get($file));
            }

            $video->titulo_video = $request->titulo_video;
            $video->contenido_video = $request->contenido;
            $video->link = $request->link;
            $video->categoria = $request->categoria;
            $video->save();

            Session::flash("message", "Video actualizado exitosamente");
            return Redirect::to("videoSistemasAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, seleccione le archivo inmagen. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }
}
