@extends("paneles.principalAdministracion")
@section("content")

    <nav class="navbar" role="navigation">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#top-navbar-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{!!URL::to('principalAdministracion')!!}">TovaCompu Sistemas</a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="top-navbar-1">
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="{!!URL::to('inicioAdmin')!!}"><span aria-hidden="true" class="icon_house"></span><br>Inicio</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('sistemasAdmin')!!}"><span aria-hidden="true"
                                                                       class="icon_desktop"></span><br>Sistemas</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('serviciosAdmin')!!}"><span aria-hidden="true"
                                                                        class="icon_drive"></span><br>Servicios</a>
                    </li>
                    <li class="active">
                        <a href="{!!URL::to('cajaahorroAdmin')!!}"><span aria-hidden="true"
                                                                         class="icon_tags"></span><br>Caja de Ahorro</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('clientesAdmin')!!}"><span aria-hidden="true" class="icon_group"></span><br>Clientes</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('utilitarioAdmin')!!}"><span aria-hidden="true"
                                                                         class="icon_tools"></span><br>Utilitarios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('usuarioAdmin')!!}"><span aria-hidden="true" class="icon_tools"></span><br>Configuracion</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('/')!!}"
                           onclick="return confirm('Presione OK, si esta seguro de salir de Administración. Caso contrario presione Cancelar')"
                           title="Eliminar"><span aria-hidden="true" class="icon_key"></span><br>Salir</a>

                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="container">
        <div class="row text-center clearfix">
            <div class="col-sm-8 col-sm-offset-2">
                <div class="contact-heading">
                    <h1><span class="colored-text">ADMINISTRACIÓN </span></h1>

                </div>
            </div>
        </div>
        <br>
    </div>


    </div>

    <div class="container">

        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                @include("mensajes.success")
                @include("mensajes.request")
                @include("mensajes.error")
                <div class="panel panel-default">
                    <div class="panel-heading">Agregar Cajas de Ahorro</div>
                    <div class="panel-body">
                        <form method="POST" action="caja/create" accept-charset="UTF-8"
                              enctype="multipart/form-data">
                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                            <div class="form-group">
                                <label class="col-md-4 control-label">Ingrese los datos:</label>
                                <div class="col-md-6">
                                    <input type="text" name="titulo"
                                           placeholder="Caja de Ahorro - Consultas Caja de Ahorro "
                                           class="form-control" id="titulo">
                                    <br>
                                    <input type="text" name="empresa" placeholder="Ingrese nombre de Empresa:"
                                           class="form-control" id="empresa">
                                    <br>
                                    <input type="text" name="link"
                                           placeholder="Ingrese Link, ejemplo:  https://193.256.32.02/sitio"
                                           class="form-control" id="link">

                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-6 col-md-offset-4">
                                    <br>

                                    <button type="submit" class="btn btn-primary" style="background-color: #fc7700">
                                        Subir
                                    </button>

                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">

            <div class="col-md-10 col-md-offset-1">

                <div class="panel panel-default">
                    <div class="panel-heading">Eliminar, Modificar elementos pestaña CAJAS DE AHORRO</div>
                    <div class="panel-body">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Empresa</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($caja as $cajaahorro)
                                <tr>
                                    <td>{{$cajaahorro->titulo}}</td>
                                    <td>{{$cajaahorro->empresa}}</td>
                                    <td>
                                        <a href="{{route('caja.edit',$parameters = $cajaahorro->id)}}" title="Editar">Editar</a>
                                        <a href="{!!URL::to('eliminarCajas/'.$cajaahorro->id)!!}"
                                           onclick="return confirm('Presione OK, si esta seguro de eliminar la  Caja de Ahorro. Caso contrario presione Cancelar')"
                                           title="Eliminar">Eliminar</a>
                                    </td>

                                </tr>
                            @endforeach
                            </tbody>
                            <table/>
                    </div>
                </div>
            </div>
        </div>


    </div>

@endsection