@extends("paneles.principalAdministracion")
@section("content")

    <nav class="navbar" role="navigation">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#top-navbar-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{!!URL::to('principalAdministracion')!!}">TovaCompu Sistemas</a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="top-navbar-1">
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="{!!URL::to('inicioAdmin')!!}"><span aria-hidden="true" class="icon_house"></span><br>Inicio</a>
                    </li>
                    <li >
                        <a href="{!!URL::to('sistemasAdmin')!!}"><span aria-hidden="true" class="icon_desktop"></span><br>Sistemas</a>
                    </li>
                    <li class="active">
                        <a href="{!!URL::to('serviciosAdmin')!!}"><span aria-hidden="true" class="icon_drive"></span><br>Servicios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('cajaahorroAdmin')!!}"><span aria-hidden="true" class="icon_tags"></span><br>Caja de Ahorro</a>
                    </li>
                    <li >
                        <a href="{!!URL::to('clientesAdmin')!!}"><span aria-hidden="true" class="icon_group"></span><br>Clientes</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('utilitarioAdmin')!!}"><span aria-hidden="true"
                                                                         class="icon_tools"></span><br>Utilitarios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('usuarioAdmin')!!}"><span aria-hidden="true" class="icon_tools"></span><br>Configuracion</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('/')!!}"
                           onclick="return confirm('Presione OK, si esta seguro de salir de Administración. Caso contrario presione Cancelar')"
                           title="Eliminar"><span aria-hidden="true" class="icon_key"></span><br>Salir</a>

                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">
            <br>
            <h1><span class="colored-text">ADMINISTRACIÓN </span></h1>
            <div class="btn-group btn-group-justified" role="group" aria-label="...">
                <div class="btn-group " role="group">
                    <a href="{!!URL::to('serviciosAdmin')!!}">
                        <button type="button" class="btn btn-default ">
                                <span aria-hidden="true" class="icon_laptop">
                                    </span>EQUIPOS DE COMPUTO
                        </button>
                    </a>

                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('service')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>SERVICIOS
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('categoriaServicioAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>CATEGORIA SERVICIOS
                        </button>
                    </a>
                </div>

            </div>

            <br>

        </div>
    </div>

    <div class="row">

        <div class="col-md-10 col-md-offset-1">


        </div>
    </div>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">
            @include("mensajes.success")
            @include("mensajes.request")
            @include("mensajes.error")
            <div class="panel panel-default">
                <div class="panel-heading">Agregar Equipo </div>
                <div class="panel-body">
                    <form method="POST" action="serviciosAdmin/create" accept-charset="UTF-8"
                          enctype="multipart/form-data">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-group">
                            <label class="col-md-2   control-label">Ingrese los datos:</label>
                            <div >
                                <input type="text" name="titulo" placeholder="Nombre Equipo"
                                       class="form-control" id="username">
                                <br>
                                {!! Form::textarea('contenido',null,['class'=>'','id'=>'contenido']) !!}
                                <br>
                                <input type="text" name="valor"
                                       placeholder="Ingrese Valor Equipo. Ejemplo 90.00"
                                       class="form-control" id="valor">
                                <br>
                                <input type="file" class="form-control" name="file">
                                <br>

                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-4 col-md-offset-4">
                                <br>

                                <button type="submit" class="btn btn-primary" style="background-color: #fc7700">
                                    Subir
                                </button>

                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">
            <div class="panel panel-default">
                <div class="panel-heading"> Modificar y Eliminar Equipo de Computo</div>
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Nombre Equipo</th>
                        <th>Acciones</th>
                        <th>Orden Equipo</th>
                        <th>Acciones</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach ($sistemas as $sistemas)
                        <tr>
                            <td>{{$sistemas->titulo_equipo}}</td>
                            <td>
                                <a href="{{route('serviciosAdmin.edit',$parameters = $sistemas->id)}}" title="Editar">Editar</a>
                                <a href="{!!URL::to('eliminarEquipoComputo/'.$sistemas->id)!!}"
                                   onclick="return confirm('Presione OK, si esta segruro de eliminar Equipo. Caso contrario presione Cancelar')"
                                   title="Eliminar">Eliminar</a>
                            </td>
                            <td>{{$sistemas->orden}}</td>
                            <td>
                                <a href="{{route('ordenEquipos.edit',$parameters = $sistemas->id)}}" title="Editar">Editar</a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>


    </div>
@endsection

@section('scripts')
    <script src="{{ asset('/vendors/ckeditorB/ckeditor.js') }}"></script>
    <script type="text/javascript">
        window.onload = function () {
            CKEDITOR.replace('contenido');
        };
    </script>
@endsection






