<?php

namespace App\Http\Controllers;

use App\Sistema;
use Illuminate\Http\Request;
use App\CategoriaSistema;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Input;





class AdminCaracteristicasSistemasController extends Controller
{
    public function index()
    {
        $categorias = CategoriaSistema::orderBy('nombre')->pluck('nombre', 'id');
        $sistemas = DB::table("sistemas")->get();
        $sistemas = DB::Select("Select s.*, c.id as cid, c.nombre as cn from sistemas s inner join programa c on (c.id=s.categoria) order by s.categoria");
        return view('administracion.sistemas.sistemasAdmin', ['categorias' => $categorias,'sistemas' => $sistemas]);
    }
    public function edit($id)
    {
        $sistemas = DB::table("sistemas")->where('id', $id)->first();
        return view("administracion.sistemas.editSistemas", ["sistemas" => $sistemas]);
    }
    public function eliminarCaracteristicasSistemas($id)
    {
        DB::table("sistemas")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("sistemasAdmin");
    }
    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'nombre_caracteristica' => 'required',
                'contenido' => 'required',
                'file' => 'required',
            ];
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $file = Input::file('file');
            $sistemas = Sistema::find($id);
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $sistemas->imagen_caracteristica = $img;
            }
            $sistemas->nombre_caracteristica= $request->nombre_caracteristica;
            $sistemas->contenido_caracteristica = $request->contenido;
            $sistemas->save();
            Session::flash("message", "Categoria actualizado exitosamente");
            return Redirect::to("sistemasAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, Archivo imagen admitido 70 PX ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }
}
