<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Categoria;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

class CategoriaController extends Controller
{
    public function index()
    {

        $categorias = Categoria::orderBy('nombre')->pluck('nombre', 'id');
        return view('navClientes.categoriaAdmin', ['categorias' => $categorias]);
    }

    public function save(Request $request)
    {
        $rules = [
            'nombre' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }

        $sistema = new Categoria();
        $sistema->nombre = $request->nombre;

        $sistema->save();

        Session::flash("message", "Los datos fueron Guardados exitosamente.");
        return Redirect::to("categoriaAdmin");
    }

    public function listarCategoria()
    {
        $categoria = DB::table("categoria")->get();
        $categoria = DB::Select("Select * from categoria");
        return view('navClientes.categoriaAdmin', ['categoria' => $categoria,]);

    }


    public function eliminarCategoria($id)
    {
        DB::table("categoria")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("categoriaAdmin");
    }
    public function edit($id)
    {
        $categoria = DB::table("categoria")->where('id', $id)->first();
        return view("navClientes.editCategoria", ["categoria" => $categoria]);
    }
    public function update(Request $request, $id)
    {

        $rules = [
            'categoria' => 'required',
        ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $sistemas = Categoria::find($id);
            $sistemas->nombre = $request->categoria;
            $sistemas->save();
            Session::flash("message", "Categoria actualizado exitosamente");
            return Redirect::to("categoriaAdmin");


    }
}
