<?php

namespace App\Http\Controllers;

use App\CategoriaServicio;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Input;

class CategoriaServicioController extends Controller
{
    public function index()
    {

        $categorias = CategoriaServicio::orderBy('nombre')->pluck('nombre', 'id');
        $sistemas = DB::table("categoriaServicio")->get();
        $sistemas = DB::Select("Select * from categoriaServicio");
        return view('Administracion.servicios.categoria.categoriaServicioAdmin', ['categorias' => $categorias,'sistemas' => $sistemas]);
    }
    public function save(Request $request)
    {
        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }

        $sistema = new CategoriaServicio();
        $sistema->nombre = $request->titulo;
        $sistema->orden =20;
        $sistema->descripcion = $request->contenido;

        $sistema->save();

        Session::flash("message", "Los datos fueron Guardados exitosamente.");
        return Redirect::to("categoriaServicioAdmin");
    }
    public function edit($id)
    {
        $servicio = DB::table("categoriaServicio")->where('id', $id)->first();
        return view("administracion.servicios.categoria.editCategoriaServicioAdmin", ["servicio" => $servicio]);
    }
    public function update(Request $request, $id)
    {

        $rules = [
            'nombre' => 'required',
            'contenido' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }

        $sistemas = CategoriaServicio::find($id);
        $sistemas->nombre = $request->nombre;
        $sistemas->descripcion = $request->contenido;
        $sistemas->save();
        Session::flash("message", "Categoria actualizado exitosamente");
        return Redirect::to("categoriaServicioAdmin");
    }
    public function eliminar($id)
    {
        DB::table("categoriaServicio")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("categoriaServicioAdmin");
    }
}
