<?php

namespace App\Http\Controllers;

use App\Chat;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use DB;

class ChatAcademicoController extends Controller
{
        public function index()
    {
        $menu = DB::Select("Select * from menu ");
        $usuario = User::orderBy('name')->pluck('nombre', 'id');
        return view('administracion/principalAdmin', ['menu' => $menu,'usuario' => $usuario]);
    }
    public function store(Request $request)
    {

        $rules = [
            'asunto' => 'required',
            'mensaje' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        $chat = new Chat;
        // $programa = CategoriaSistema::find($request->categoria);
        $chat->asunto = $request->asunto;
        $chat->mensaje = $request->mensaje;
        $chat->color = '#FDD5D5';
        $chat->buzon = 'salida';
        $chat->estado = '1';
        $chat->categoria = $request->id_usuario;
        $chat->save();


        $usuario = DB::table("users")->where('id', $request->id_usuario)->first();
        $correo_config=env('MAIL_USERNAME', 'Correo');
        $apellidoNombre=$usuario->apellido." ".$usuario->nombre;
        $mensajeSoporte=$request->asunto." - ".$request->mensaje;
        $datos_cuerpo_correo=['cliente_nombre'=>$cliente_email=$apellidoNombre,'mensaje'=>$cliente_email=$mensajeSoporte,
            'cliente_email'=>$cliente_email=$usuario->email,'correo_config'=>$correo_config];
        //$evento=DB::table('evento')->where('nombre_evento','Incidencia Reportada')->first();
        try {
            \Mail::send('correo.estructura', $datos_cuerpo_correo, function($message) use ($datos_cuerpo_correo)

            {
                $correo = \DB::Select("Select * from correo ");
                $message->from($datos_cuerpo_correo['correo_config'],'Soporte En Línea');
                $message->subject("Soporte En Línea - TOVACOMPU SISTEMAS");
                $message->to($correo[0]->correo);
                // Session::flash("message", "Se envio correctamente el Correo");
                // return Redirect::to("contactos");
                // return view('nav/contactos');
                //return Redirect::to("contactenos");
            });
        }catch (\Exception $e) {
            if(count(\Mail::failures()) > 0){
                $errors = 'Failed to send password reset email, please try again.';
            }

        }
        Session::flash("message", "Mensaje enviado exitosamente");


        return Redirect::to("sesionAcademico".'/'.$request->id_usuario);




    }
    public function eliminar($id,$id_usuario)
    {
        DB::table("chat")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó el mensaje exitosamente");
        return Redirect::to("sesionAcademico".'/'.$id_usuario);
    }
    public function eliminarChatSalidaAcademico($id,$id_usuario)
    {
        DB::table("chat")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó el mensaje exitosamente");
        return Redirect::to("buzonSalidaAcademico".'/'.$id_usuario);
    }
    public function edit($id,$id_usuario)
    {
        $mensaje = DB::table("chat")->where('id', $id)->first();
        $chat = Chat::find($id);
        $chat->color = '#inherit';
        $chat->save();
        //$nombre_usuario = DB::table("users")->where('id', $id_usuario)->first();

        //$nombre_usuario = DB::Select("Select * from users where id=? ",$id_usuario);
        //$mensaje = DB::Select("Select s.*, c.id as cid, c.nombre as cn, c.apellido as ca from chat s  inner join users c on (c.id=s.categoria) where s.id=$id order by s.updated_at DESC");
        return view("academico.responderChat", ["mensaje" => $mensaje,"id" =>$id_usuario]);
    }
    public function update(Request $request)
    {

        $rules = [
            'contenido' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        //$sistemas = Chat::find($id);
        $chat = new Chat;


        $chat->asunto = $request->asunto;
        $chat->mensaje = $request->contenido;
        $chat->color = '#FDD5D5';
        $chat->buzon = 'salida';
        $chat->estado = '1';
        $chat->categoria = $request->id_usuario;
        $chat->save();



        $usuario = DB::table("users")->where('id', $request->id_usuario)->first();
        $correo_config=env('MAIL_USERNAME', 'Correo');
        $apellidoNombre=$usuario->apellido." ".$usuario->nombre;
        $mensajeSoporte=$request->asunto." - ".$request->contenido;
        $datos_cuerpo_correo=['cliente_nombre'=>$cliente_email=$apellidoNombre,'mensaje'=>$cliente_email=$mensajeSoporte,
            'cliente_email'=>$cliente_email=$usuario->email,'correo_config'=>$correo_config];
        //$evento=DB::table('evento')->where('nombre_evento','Incidencia Reportada')->first();
        try {
            \Mail::send('correo.estructura', $datos_cuerpo_correo, function($message) use ($datos_cuerpo_correo)

            {
                $correo = \DB::Select("Select * from correo ");
                $message->from($datos_cuerpo_correo['correo_config'],'Soporte En Línea');
                $message->subject("Soporte En Línea - TOVACOMPU SISTEMAS");
                $message->to($correo[0]->correo);
                // Session::flash("message", "Se envio correctamente el Correo");
                // return Redirect::to("contactos");
                // return view('nav/contactos');
                //return Redirect::to("contactenos");
            });
        }catch (\Exception $e) {
            if(count(\Mail::failures()) > 0){
                $errors = 'Failed to send password reset email, please try again.';
            }
        }

        Session::flash("message", "Correo actualizado exitosamente");
        return Redirect::to("sesionAcademico".'/'.$request->id_usuario);
    }

    public function CambiarContraseña($id)
    {
        $menu = DB::Select("Select * from menu ");
        $usuario = DB::table("users")->where('id', $id)->first();
        return view("academico.usuarioAcad", ["usuario" => $usuario,"menu" => $menu,"id" => $id]);

    }

}
