<?php

namespace App\Http\Controllers;

use App\Categoria;
use App\Cliente;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;

class ClienteController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $menu = DB::Select("Select * from menu ");


        $categorias = Categoria::orderBy('orden')->select('id','nombre')->get();
        $clientes = DB::Select("Select * from cliente order by rand()");
        return view('nav.clientes', ['categorias' => $categorias, 'menu'=>$menu,'clientes'=>$clientes]);


    }



    public function eliminarClientes($id)
    {

    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $menu = DB::Select("Select * from menu ");


        $categorias = Categoria::orderBy('nombre')->select('id','nombre')->get();
        $clientes = DB::Select("Select * from cliente where categoria=? order by rand()",[$id]);

        return view('nav.clientes', ['categorias' => $categorias, 'menu'=>$menu,'clientes'=>$clientes]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

    }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $rules = [
            'nombre_cliente' => 'required',

        ];


        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $file = Input::file('file');

            $sistemas = Cliente::find($id);
            $sistemas->nombre_cliente = $request->nombre_cliente;
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $sistemas->imagen = $img;
            }
            $sistemas->link = $request->link;
            $sistemas->categoria = $request->categoria;
            $sistemas->save();
            Session::flash("message", "Cliente se actualizado exitosamente");
            return Redirect::to("archivo");

        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Datos de usuario';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    public function save(Request $request)
    {
        $rules = [
            'username' => 'required',
            'categoria' => 'required',
            'file' => 'required',
        ];
        try {
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $img = file_get_contents($file);
            $cliente = new Cliente;
            $cliente->nombre_cliente = $request->username;
            $cliente->imagen = $img;
            $cliente->categoria = $request->categoria;
            $cliente->link = $request->link;
            $cliente->save();
            Session::flash("message", "Archivo  almacenado  exitosamente");
            return Redirect::to("clientesAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, archivo inmagen admnitido 70 PX ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }
    }
}
