<?php

namespace App\Http\Controllers;

use App\CategoriaSistema;
use App\SistemaBody;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Redirect;

class EncabezadoSistemasController extends Controller
{
    public function index()
    {
        $categoria = CategoriaSistema::orderBy('nombre')->pluck('nombre','id');
        $encabezado = DB::Select("Select * from sistemasBody");
        return view('administracion.sistemas.encabezadoSistemasGeneralAdmin', ['categoria' => $categoria,'manual' => $encabezado,]);
    }
    public function listarServiciosEncabezado()
    {
        $encabezado= DB::table("sistemasBody")->get();
        $encabezado = DB::Select("Select * from sistemasBody");
        return view('administracion/sistemas/encabezadoSistemasGeneralAdmin', ['encabezado' => $encabezado,]);

    }
    public function update(Request $request, $id)
    {

        $rules = [
            'nombre' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }

        $sistemas = SistemaBody::find($id);
        $sistemas->titulo_inicio = $request->nombre;
        $sistemas->save();
        Session::flash("message", "Encabezado actualizado exitosamente");
        return Redirect::to("encabezadoSistemaGeneralAdmin");



    }
    public function save(Request $request)
    {

        //obtenemos el campo file definido en el formulario
        //$file = $request->file('file');

        //obtenemos el nombre del archivo
        //$nombre = $file->getClientOriginalName();

        //indicamos que queremos guardar un nuevo archivo en el disco local
        //\Storage::disk('local')->put($nombre,  \File::get($file));

        //$imagen=file_get_contents()
        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'link' => 'required|url',
        ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $img = file_get_contents($file);

            $sistema = new SistemaBody();
            $sistema->titulo_servicio_inicio = $request->titulo;
            $sistema->contenido_servicio_inicio = $request->contenido;
            $sistema->imagen_inicio = $img;
            $sistema->link = $request->link;
            $sistema->save();

            Session::flash("message", "Los datos fueron Guardados exitosamente.");
            return Redirect::to("encabezadoSistemaGeneralAdmin");



    }   //
    public function eliminarEncabezadoSistemas($id)
    {
        DB::table("sistemasBody")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("encabezadoSistemaGeneralAdmin");
    }
}
