<?php

namespace App\Http\Controllers;

use App\Instalador;
use App\Programa;
use Illuminate\Http\Request;
use App\CategoriaSistema;
use DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\Storage;
use Intervention\Image\Facades\Image;

use Illuminate\Support\Facades\Cache;


class InstaladorSistemasAdminController extends Controller
{
    public function index()
    {
        $categorias = CategoriaSistema::orderBy('orden')->pluck('nombre', 'id');
        $instalador = DB::table("instalador")->get();
        $instalador = DB::Select("Select s.*, c.id as cid, c.nombre as cn from instalador s inner join programa c on (c.id=s.categoria) order by s.categoria");

        return view('administracion/sistemas/instalador/instaladorSistemasAdmin',['categorias' => $categorias,'instalador' => $instalador]);
    }
    public function save(Request $request)
    {

        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'file' => 'required',
        ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $sistema = new Instalador;
            $programa = CategoriaSistema::find($request->categoria);
            $file = Input::file('file');
            //if (!is_null($file)) {
        //$name_icono= time().'_'.$file->getClientOriginalName();
               // $nombre_archivo=$programa->codigo."_inst".time().".zip";
        $nombre_archivo=time()."_".$file->getClientOriginalName();
                Storage::disk('instalador')->put($nombre_archivo, \File::get($file));
            //}
            $sistema->nombre_instalador = $nombre_archivo;
            $sistema->titulo_instalador= $request->titulo;
            $sistema->contenido_instalador = $request->contenido;
            $sistema->categoria = $request->categoria;
            $sistema->save();
            Session::flash("message", "Archivo  almacenado  exitosamente");
            return Redirect::to("instaladorSistemasAdmin");
    }
    public function edit($id)
    {
        $instalador = DB::table("instalador")->where('id', $id)->first();
        $programa = CategoriaSistema::orderBy('nombre')->pluck('nombre', 'id');
        return view("administracion.sistemas.instalador.editInstaladorSistemasAdmin", ["instalador" => $instalador, 'programa' => $programa,]);
    }

    public function eliminar($id)
    {
        $instalador = Instalador::find($id);
        \File::delete(public_path().'/archivo/instalador/'.$instalador->nombre_instalador);
        DB::table("instalador")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        //File::delete(public_path().'/instalador/'.$instalador->nombre_instalador);
        //File::delete(public_path().'/archivo/instalador/'.$instalador->nombre_instalador);

        return Redirect::to("instaladorSistemasAdmin");
    }

    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'titulo_instalador' => 'required',
                'contenido' => 'required',


            ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $file = Input::file('file');
            $instalador = Instalador::find($id);
            $programa = CategoriaSistema::find($request->categoria);

            if (!is_null($file)) {

                \File::delete(public_path().'/archivo/instalador/'.$instalador->nombre_instalador);
                $nombre_archivo=time()."_".$file->getClientOriginalName();

                $instalador->nombre_instalador = $nombre_archivo;
                Storage::disk('instalador')->put($nombre_archivo, \File::get($file));
            }

            $c_a=$programa->id;
            $c_b=$request->categoria;
            if (($c_a!==$c_b)) {

                $nombre_archivo=$programa->codigo."_inst".time().".zip";
                $instalador->nombre_instalador = $nombre_archivo;

            }
            $instalador->titulo_instalador = $request->titulo_instalador;
            $instalador->contenido_instalador = $request->contenido;
            $instalador->categoria = $request->categoria;
            $instalador->save();

            Session::flash("message", "Instalador actualizado exitosamente");
            return Redirect::to("instaladorSistemasAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, seleccione le archivo inmagen. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }


}
