<?php

namespace App\Http\Controllers;

use App\Manual;
use Illuminate\Http\Request;
use App\CategoriaSistema;
use DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\Storage;
use Intervention\Image\Facades\Image;

use Illuminate\Support\Facades\Cache;

class ManualSistemasAdminController extends Controller
{
    public function index()
    {

        $categorias = CategoriaSistema::orderBy('orden')->pluck('nombre', 'id');
        $manual = DB::table("manual")->get();
        $manual = DB::Select("Select s.*, c.id as cid, c.nombre as cn from manual s inner join programa c on (c.id=s.categoria) order by s.categoria");
        return view('administracion/sistemas/manual/manualSistemasAdmin',['categorias' => $categorias,'manual' => $manual]);
    }

    public function save(Request $request)
    {

        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'file' => 'required',
        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        $sistema = new Manual;
        $programa = CategoriaSistema::find($request->categoria);
        $file = Input::file('file');
        $nombre_archivo=time()."_".$file->getClientOriginalName();
        Storage::disk('manual')->put($nombre_archivo, \File::get($file));

        $sistema->nombre_manual = $nombre_archivo;
        $sistema->titulo_manual= $request->titulo;
        $sistema->contenido_manual = $request->contenido;
        $sistema->categoria = $request->categoria;
        $sistema->save();
        Session::flash("message", "Archivo  almacenado  exitosamente");
        return Redirect::to("manualSistemasAdmin");
    }
    public function edit($id)
    {
        $manual = DB::table("manual")->where('id', $id)->first();
        $programa = CategoriaSistema::orderBy('nombre')->pluck('nombre', 'id');
        return view("administracion.sistemas.manual.editManualSistemasAdmin", ["manual" => $manual, 'programa' => $programa,]);
    }

    public function eliminar($id)
    {
        $manual = Manual::find($id);
        \File::delete(public_path().'/archivo/manual/'.$manual->nombre_manual);
        DB::table("manual")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("manualSistemasAdmin");
    }

    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'titulo_manual' => 'required',
                'contenido' => 'required',
            ];
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $manual = Manual::find($id);
            $programa = CategoriaSistema::find($request->categoria);
            if (!is_null($file)) {
                \File::delete(public_path().'/archivo/manual/'.$manual->nombre_instalador);
                $nombre_archivo=time()."_".$file->getClientOriginalName();
                $manual->nombre_manual = $nombre_archivo;
                Storage::disk('manual')->put($nombre_archivo, \File::get($file));
            }
            $c_a=$programa->id;
            $c_b=$request->categoria;
            if (($c_a!==$c_b)) {
                $nombre_archivo=$programa->codigo."_inst".time().".pdf";
                $manual->nombre_manual = $nombre_archivo;
            }

            $manual->titulo_manual = $request->titulo_manual;
            $manual->contenido_manual = $request->contenido;
            $manual->categoria = $request->categoria;
            $manual->save();

            Session::flash("message", "Manual actualizado exitosamente");
            return Redirect::to("manualSistemasAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, seleccione le archivo inmagen. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }
}
