<?php

namespace App\Http\Controllers;

use App\EquipoComputo;
use App\Servicio;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Input;

class ServicioAdminController extends Controller
{
    public function index()
    {
        $sistemas = DB::table("ventaEquipo")->get();
        $sistemas = DB::Select("Select * from ventaEquipo");
        return view('administracion/servicios/serviciosAdmin', ['sistemas' => $sistemas]);


    }
    public function save(Request $request)
    {

        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'valor' => 'required',
        ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $img = file_get_contents($file);

            //$img = Image::make($file);
            //Response::make($img->encode('jpeg'));

            $sistema = new EquipoComputo();
            $sistema->imagen_equipo = $img;
            $sistema->contenido_equipo = $request->contenido;
            $sistema->valor_equipo = $request->valor;
            $sistema->titulo_equipo = $request->titulo;
            $sistema->save();

            Session::flash("message", "Los datos fueron Guardados exitosamente.");
            return Redirect::to("serviciosAdmin");
    }
    public function edit($id)
    {
        $servicio = DB::table("ventaEquipo")->where('id', $id)->first();
        return view("administracion.servicios.editServiciosAdmin", ["servicio" => $servicio]);
    }
    public function eliminarEquipoComputo($id)
    {
        DB::table("ventaEquipo")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("serviciosAdmin");
    }
    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'titulo_equipo' => 'required',
                'valor_equipo' => 'required',
                'contenido' => 'required',
            ];
            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }

            $file = Input::file('file');
            $sistemas = EquipoComputo::find($id);
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $sistemas->imagen_equipo = $img;
            }
            $sistemas->titulo_equipo= $request->titulo_equipo;
            $sistemas->valor_equipo = $request->valor_equipo;
            $sistemas->contenido_equipo = $request->contenido;
            $sistemas->save();
            Session::flash("message", "Categoria actualizado exitosamente");
            return Redirect::to("serviciosAdmin");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, seleccione le archivo inmagen. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }

}
