<?php

namespace App\Http\Controllers;

use App\CategoriaServicio;
use App\Servicio;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Response;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Input;

class serviceController extends Controller
{
    public function index()
    {

        $servicios = DB::Select("Select s.*, c.id as cid, c.nombre as cn from servicio s inner join categoriaServicio c on (c.id=s.categoria) order by s.categoria");
        $categorias = CategoriaServicio::orderBy('orden')->pluck('nombre', 'id');

        return view('administracion/servicios/servicio/service', ['categorias' => $categorias, 'servicios' => $servicios]);


    }

    public function save(Request $request)
    {

        $rules = [
            'titulo' => 'required',
            'contenido' => 'required',
            'file' => 'required',

        ];

        $validator = \Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return redirect()->back()->withInput()->withErrors($validator);
        }
        $file = Input::file('file');
        $img = file_get_contents($file);

        //$img = Image::make($file);
        //Response::make($img->encode('jpeg'));

        $servicio = new Servicio();
        $servicio->imagen_servicio = $img;
        $servicio->contenido_servicio = $request->contenido;
        $servicio->categoria = $request->categoria;
        $servicio->titulo_servicio = $request->titulo;
        $servicio->save();

        Session::flash("message", "Los datos fueron Guardados exitosamente.");
        return Redirect::to("service");
    }

    public function edit($id)
    {
        $service = DB::table("servicio")->where('id', $id)->first();
        $categorias = CategoriaServicio::orderBy('orden')->pluck('nombre', 'id');
        return view("administracion.servicios.servicio.editService", ["service" => $service, 'categorias' => $categorias,]);
    }

    public function eliminar($id)
    {
        DB::table("servicio")->where("id", $id)->delete();
        Session::flash("message", "Se eliminó registro exitosamente");
        return Redirect::to("service");
    }

    public function update(Request $request, $id)
    {
        try {
            $rules = [
                'categoria' => 'required',
                'titulo_servicio' => 'required',
                'contenido' => 'required',
            ];

            $validator = \Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return redirect()->back()->withInput()->withErrors($validator);
            }
            $file = Input::file('file');
            $service = Servicio::find($id);
            if (!is_null($file)) {
                $img = file_get_contents($file);
                $service->imagen_servicio = $img;
            }
            $service->categoria = $request->categoria;
            $service->titulo_servicio = $request->titulo_servicio;
            $service->contenido_servicio = $request->contenido;
            $service->save();
            Session::flash("message", "Servicio actualizado exitosamente");
            return Redirect::to("service");
        } catch (\Exception $e) {
            \Log::info('Error al crear empresa: ' . $e);
            $mensaje_error = 'Error al crear Sistema, seleccione le archivo inmagen. ';
            return redirect()->back()->withInput()->withErrors($mensaje_error);
        }

    }
}
