@extends("paneles.principalAdministracion")
@section("content")

    <nav class="navbar" role="navigation">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#top-navbar-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{!!URL::to('principalAdministracion')!!}">OTovaCompu Sistemas</a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="top-navbar-1">
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="{!!URL::to('inicioAdmin')!!}"><span aria-hidden="true" class="icon_house"></span><br>Inicio</a>
                    </li>
                    <li class="active">
                        <a href="{!!URL::to('sistemasAdmin')!!}"><span aria-hidden="true" class="icon_drive"></span><br>Sistemas</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('serviciosAdmin')!!}"><span aria-hidden="true"
                                                                        class="icon_drive"></span><br>Servicios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('cajaahorroAdmin')!!}"><span aria-hidden="true" class="icon_tags"></span><br>Caja de Ahorro</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('clientesAdmin')!!}"><span aria-hidden="true" class="icon_group"></span><br>Clientes</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('utilitarioAdmin')!!}"><span aria-hidden="true"
                                                                         class="icon_tools"></span><br>Utilitarios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('usuarioAdmin')!!}"><span aria-hidden="true" class="icon_tools"></span><br>Configuracion</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('/')!!}"
                           onclick="return confirm('Presione OK, si esta seguro de salir de Administración. Caso contrario presione Cancelar')"
                           title="Eliminar"><span aria-hidden="true" class="icon_key"></span><br>Salir</a>

                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <br>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">
            <h1><span class="colored-text">ADMINISTRACIÓN </span></h1>

            <div class="btn-group btn-group-justified" role="group" aria-label="...">
                <div class="btn-group " role="group">
                    <a href="{!!URL::to('sistemasAdmin')!!}">
                        <button type="button" class="btn btn-default active">

                                <span aria-hidden="true" class="icon_desktop">
                                    </span>SISTEMAS
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('encabezadoSistemaGeneralAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>ENCABEZADO SISTEMAS GENERAL
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('categoriaSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default ">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>CATEGORIAS SISTEMAS
                        </button>
                    </a>
                </div>


            </div>
            <br>
            <div class="btn-group btn-group-justified" role="group" aria-label="...">
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('categoriaSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>SISTEMA
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('instaladorSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_genius">
                                    </span>INSTALADOR
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('manualSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_document">
                                    </span>MANUALES
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('videoSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default  ">
                                <span aria-hidden="true" class="icon_image">
                                    </span>VIDEO TUTORIALES
                        </button>
                    </a>
                </div>
            </div>


            <BR>
            @include("mensajes.success")
            @include("mensajes.request")
            @include("mensajes.error")

            <div class="panel panel-default ">
                <div class="panel-heading">Actualizar <strong>Video </strong></div>
                <div class="panel-body">
                    <div class="myform-bottom">
                        <label class="col-md-4 control-label">Ingrese los datos:</label>

                        {!! Form::model($video,['route'=>['videoSistemasAdmin.update',$video->id],'method'=>'PUT','files' => 'true','name'=>'formEditU']) !!}
                        @include("administracion.sistemas.video.formVideoSistemasAdmin")
                        <input type="hidden" name="categoria" id="categoria" value="A">
                        <br>
                        {!! Form::textarea('contenido',$video->contenido_video,['class'=>'','id'=>'contenido']) !!}

                        <br>
                        <div class="col-md-4">

                            <label class="col-md-12 control-label">Seleccione Sistema: </label>
                        </div>
                        <div class="col-md-8">
                            {!!Form::select('categoria',$programa,null, ['class' => 'form-control','id'=>'categoria'])!!}
                            <br>
                        </div>

                        <button type="submit" class="btn btn-primary" style="background-color: #fc7700">Actualizar</button>
                        {!!Form::close()!!}
                    </div>
                </div>
            </div>

        </div>
    </div>



    </div>

@endsection

@section('scripts')
    <script src="{{ asset('/vendors/ckeditorB/ckeditor.js') }}"></script>
    <script type="text/javascript">
        window.onload = function () {
            CKEDITOR.replace('contenido');
        };
    </script>
@endsection






