@extends("paneles.principalAdministracion")
@section("content")

    <nav class="navbar" role="navigation">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#top-navbar-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{!!URL::to('principalAdministracion')!!}">OTovaCompu Sistemas</a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="top-navbar-1">
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="{!!URL::to('inicioAdmin')!!}"><span aria-hidden="true" class="icon_house"></span><br>Inicio</a>
                    </li>
                    <li class="active">
                        <a href="{!!URL::to('sistemasAdmin')!!}"><span aria-hidden="true" class="icon_drive"></span><br>Sistemas</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('serviciosAdmin')!!}"><span aria-hidden="true"
                                                                        class="icon_drive"></span><br>Servicios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('cajaahorroAdmin')!!}"><span aria-hidden="true" class="icon_tags"></span><br>Caja de Ahorro</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('clientesAdmin')!!}"><span aria-hidden="true" class="icon_group"></span><br>Clientes</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('utilitarioAdmin')!!}"><span aria-hidden="true"
                                                                         class="icon_tools"></span><br>Utilitarios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('usuarioAdmin')!!}"><span aria-hidden="true" class="icon_tools"></span><br>Configuracion</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('/')!!}"
                           onclick="return confirm('Presione OK, si esta seguro de salir de Administración. Caso contrario presione Cancelar')"
                           title="Eliminar"><span aria-hidden="true" class="icon_key"></span><br>Salir</a>

                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <br>
    <div class="row">
        <div class="col-md-10 col-md-offset-1">
            <h1><span class="colored-text">ADMINISTRACIÓN </span></h1>

            <div class="btn-group btn-group-justified" role="group" aria-label="...">
                <div class="btn-group " role="group">
                    <a href="{!!URL::to('sistemasAdmin')!!}">
                        <button type="button" class="btn btn-default active">

                                <span aria-hidden="true" class="icon_desktop">
                                    </span>SISTEMAS
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('encabezadoSistemaGeneralAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>ENCABEZADO SISTEMAS GENERAL
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('categoriaSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default ">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>CATEGORIAS SISTEMAS
                        </button>
                    </a>
                </div>


            </div>
            <br>
            <div class="btn-group btn-group-justified" role="group" aria-label="...">
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('categoriaSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>SISTEMA
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('instaladorSistemasAdmin')!!} ">
                        <button type="button" class="btn btn-default active ">
                                <span aria-hidden="true" class="icon_genius">
                                    </span>INSTALADOR
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('manualSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_document">
                                    </span>MANUALES
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('videoSistemasAdmin')!!}">
                        <button type="button" class="btn btn-default ">
                                <span aria-hidden="true" class="icon_image">
                                    </span>VIDEO TUTORIALES
                        </button>
                    </a>
                </div>
            </div>


            <BR>
            @include("mensajes.success")
            @include("mensajes.request")
            @include("mensajes.error")

            <div class="panel panel-default ">
                <div class="panel-heading">Agregar <strong>Video </strong></div>
                <div class="panel-body">
                    <form method="POST" action="videoSistemasAdmin/create" accept-charset="UTF-8"
                          enctype="multipart/form-data">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <input type="hidden" name="categoria" id="categoría" value="A">
                        <div class="form-group">
                            <label class="col-md-4 control-label">Ingrese nombre Video:</label>
                            <div class="col-md-6">
                                <input type="text" name="nombre" placeholder="Nombre nombre Video: Video Tutorial VisualFac Ventas"
                                       class="form-control" id="nombre">

                            </div>
                            <div class="col-md-12">
                                <br>
                                {!! Form::textarea('contenido',null,['class'=>'','id'=>'contenido']) !!}
                                <br>
                                <input type="text" name="link" placeholder="Nombre link: https://www.youtube.com/VisualFac"
                                       class="form-control" id="nombre">
                                <br>
                                <div class="col-md-4">

                                    <label class="col-md-12 control-label">Seleccione Sistema: </label>
                                </div>

                                <div class="col-md-8">
                                    {!!Form::select('categoria',$categorias,null, ['class' => 'form-control','id'=>'categoria'])!!}
                                    <br>
                                </div>
                            </div>
                            <br>

                        </div>
                        <div class="form-group">
                            <div class="col-md-4 col-md-offset-4">
                                <button type="submit" class="btn btn-primary" style="background-color: #fc7700">
                                    Agregar
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class=" panel panel-default">
                <div class="panel panel-default">
                    <div class="panel-heading">Eliminar/Modificar <strong>Videos</strong></div>

                        <table class="table table-striped">
                            <thead >
                            <tr >
                                <th>Sistema</th>
                                <th>Nombre</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($video as $video)
                                <tr>
                                    <td>{{$video->cn}}</td>
                                    <td>{{$video->titulo_video}}
                                <td>
                                    <a href="{{route('videoSistemasAdmin.edit',$parameters = $video->id)}}"
                                       title="Editar">Editar
                                    </a>/
                                    <a href="{!!URL::to('eliminarVideo/'.$video->id)!!}"
                                       onclick="return confirm('Presione OK, si esta seguro de eliminar Video. Caso contrario presione Cancelar')"
                                       title="Eliminar">Eliminar</a>
                                </td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>

                </div>
            </div>
        </div>
    </div>
    </div>
@endsection
@section('scripts')
    <script src="{{ asset('/vendors/ckeditorB/ckeditor.js') }}"></script>
    <script type="text/javascript">
        window.onload = function () {
            CKEDITOR.replace('contenido');
        };
    </script>
@endsection






