@extends("paneles.principalAdministracion")
@section("content")

    <nav class="navbar" role="navigation">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#top-navbar-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{!!URL::to('principalAdministracion')!!}">TovaCompu Sistemas</a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="top-navbar-1">
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="{!!URL::to('inicioAdmin')!!}"><span aria-hidden="true" class="icon_house"></span><br>Inicio</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('sistemasAdmin')!!}"><span aria-hidden="true" class="icon_desktop"></span><br>Sistemas</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('serviciosAdmin')!!}"><span aria-hidden="true" class="icon_drive"></span><br>Servicios</a>
                    </li>
                    <li >
                        <a href="{!!URL::to('cajaahorroAdmin')!!}"><span aria-hidden="true"
                                                                         class="icon_tags"></span><br>Caja de Ahorro</a>
                    </li>
                    <li class="active">
                        <a href="{!!URL::to('clientesAdmin')!!}"><span aria-hidden="true" class="icon_group"></span><br>Clientes</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('utilitarioAdmin')!!}"><span aria-hidden="true"
                                                                         class="icon_tools"></span><br>Utilitarios</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('usuarioAdmin')!!}"><span aria-hidden="true" class="icon_tools"></span><br>Configuracion</a>
                    </li>
                    <li>
                        <a href="{!!URL::to('/')!!}"
                           onclick="return confirm('Presione OK, si esta seguro de salir de Administración. Caso contrario presione Cancelar')"
                           title="Eliminar"><span aria-hidden="true" class="icon_key"></span><br>Salir</a>

                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="row">
        <h1><span class="colored-text">ADMINISTRACIÓN </span></h1>
        <div class="col-md-10 col-md-offset-1">
            @include("mensajes.success")
            @include("mensajes.request")
            @include("mensajes.error")
            <br>
            <div class="btn-group btn-group-justified" role="group" aria-label="...">
                <div class="btn-group " role="group">
                    <a href="{!!URL::to('clientesAdmin')!!}">
                        <button type="button" class="btn btn-default ">

                                <span aria-hidden="true" class="icon_group">
                                    </span>CLIENTES
                        </button>
                    </a>
                </div>
                <div class="btn-group" role="group">
                    <a href="{!!URL::to('categoriaAdmin')!!}">
                        <button type="button" class="btn btn-default active">
                                <span aria-hidden="true" class="icon_menu">
                                    </span>CATEGORIAS
                        </button>
                    </a>
                </div>

            </div>
            <br>
            <div class="panel panel-default">

                <div class="panel-heading">Agregar <strong>Clientes </strong></div>
                <div class="panel-body">
                    <form method="POST" action="cliente/create" accept-charset="UTF-8"
                          enctype="multipart/form-data">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <input type="hidden" name="categoria" id="categoria" value="A">
                        <div class="form-group">
                            <label class="col-md-4 control-label">Ingrese los datos:</label>
                            <div class="col-md-6">
                                <input type="text" name="username" placeholder="Nombre Cliente "
                                       class="form-control" id="username">
                                <br>
                                <input type="text" name="link"
                                       placeholder="Ingrese Link, ejemplo:  https://google.com"
                                       class="form-control" id="link">
                                <br>
                                <input type="file" class="form-control" name="file">
                                <br>

                                {!!Form::select('categoria',$categorias,null, ['class' => 'form-control','id'=>'categoria'])!!}

                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <br>
                                <button type="submit" class="btn btn-primary" style="background-color: #fc7700">Subir
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-md-10 col-md-offset-1">

            <div class="panel panel-default">

                <div class="panel-heading">Eliminar y Modificar <strong>Clientes</strong></div>
                <div class="panel-body">

                    <row>
                        <label class="col-md-4 control-label">Eliga la Categoría</label>

                    </row>

                    <table class="table table-striped">
                        <thead>
                        <tr>
                            <th>
                                <h5 align="center"> NOMBRE</h5>
                            </th>
                            <th>
                                <h5 align="center"> CATEGORIA</h5>
                            </th>
                            <th>
                                <h5 align="center"> ACCIONES</h5>
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            @foreach ($listarClientes as $listarClientes)
                            <td>{{$listarClientes->nombre_cliente}}</td>


                                <td>{{$listarClientes->cn}}</td>
                            <td>
                                <a href="{{route('clientesAdmin.edit',$parameters = $listarClientes->id)}}"  title="Editar">Editar</a>
                                <a href="{!!URL::to('eliminarCliente/'.$listarClientes->id)!!}"
                                   onclick="return confirm('Presione OK, si esta segruro de eliminar Cliente. Caso contrario presione Cancelar')"
                                   title="Eliminar">Eliminar</a>
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    </div>
@endsection








